# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::RayIntersection Class Reference

The RayIntersection encapsulates all the information relative to a Ray/Actor intersection. More...

`#include <RayIntersector.hpp>`

Inheritance diagram for vl::RayIntersection:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RayIntersection ()
void | setActor (Actor *a)
| The intersected Actor.
const Actor * | actor () const
| The intersected Actor.
Actor * | actor ()
| The intersected Actor.
const vec3 & | intersectionPoint () const
| The intersection point, in world coordinates.
void | setIntersectionPoint (const vec3 &v)
| The intersection point, in world coordinates.
float | distance () const
| The intersection distance.
void | setDistance (float dist)
| The intersection distance.

## Protected Attributes

vec3 | mIntersectionPoint
Actor * | mActor
float | mDistance

## Detailed Description

The RayIntersection encapsulates all the information relative to a Ray/Actor intersection.

Definition at line 50 of file RayIntersector.hpp.

## Constructor & Destructor Documentation

vl::RayIntersection::RayIntersection | ( | ) | `[inline]`

Definition at line 54 of file RayIntersector.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::RayIntersection::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::RayIntersectionGeometry.

Definition at line 53 of file RayIntersector.hpp.

void vl::RayIntersection::setActor | ( | Actor * | a ) | `[inline]`

The intersected Actor.

Definition at line 60 of file RayIntersector.hpp.

References mActor.

const Actor* vl::RayIntersection::actor | ( | ) | const`[inline]`

The intersected Actor.

Definition at line 62 of file RayIntersector.hpp.

References mActor.

Actor* vl::RayIntersection::actor | ( | ) | `[inline]`

The intersected Actor.

Definition at line 64 of file RayIntersector.hpp.

References mActor.

const vec3& vl::RayIntersection::intersectionPoint | ( | ) | const`[inline]`

The intersection point, in world coordinates.

Definition at line 67 of file RayIntersector.hpp.

References mIntersectionPoint.

void vl::RayIntersection::setIntersectionPoint | ( | const vec3 & | v ) | `[inline]`

The intersection point, in world coordinates.

Definition at line 69 of file RayIntersector.hpp.

References mIntersectionPoint.

float vl::RayIntersection::distance | ( | ) | const`[inline]`

The intersection distance.

Definition at line 72 of file RayIntersector.hpp.

References mDistance.

void vl::RayIntersection::setDistance | ( | float | dist ) | `[inline]`

The intersection distance.

Definition at line 74 of file RayIntersector.hpp.

References mDistance.

## Member Data Documentation

vec3 vl::RayIntersection::mIntersectionPoint`[protected]`

Reimplemented in vl::RayIntersectionGeometry.

Definition at line 77 of file RayIntersector.hpp.

Referenced by intersectionPoint(), and setIntersectionPoint().

Actor* vl::RayIntersection::mActor`[protected]`

Definition at line 78 of file RayIntersector.hpp.

Referenced by actor(), and setActor().

float vl::RayIntersection::mDistance`[protected]`

Reimplemented in vl::RayIntersectionGeometry.

Definition at line 79 of file RayIntersector.hpp.

Referenced by distance(), and setDistance().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RayIntersector.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.